GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/mingw-hdep.c File Reference
`#include "defs.h"`
`#include "main.h"`
`#include "serial.h"`
`#include "event-loop.h"`
`#include "gdb_select.h"`
`#include "readline/readline.h"`
`#include <windows.h>`

Go to the source code of this file.

## Functions
char * | windows_get_absolute_argv0 (const char *argv0)
int | gdb_select (int n, fd_set *readfds, fd_set *writefds, fd_set *exceptfds, struct timeval *timeout)

## Function Documentation

## ◆ gdb_select()

int gdb_select | ( | int | n,
|  | fd_set * | readfds,
|  | fd_set * | writefds,
|  | fd_set * | exceptfds,
|  | struct timeval * | timeout
| ) |  |

Definition at line 51 of file mingw-hdep.c.

References serial::fd, gdb_assert, read(), and serial_for_fd().

## ◆ windows_get_absolute_argv0()

char* windows_get_absolute_argv0 | ( | const char * | argv0 | ) |

Definition at line 34 of file mingw-hdep.c.

Referenced by captured_main_1().